﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- Program Name: New Standards and Operating Rules – Payer Side (POR)
     Contractor Name: Harris Corporation
     Contract Number: VA118-11-D-1009
     Project: POR – CORE Compliance – Automated Eligibility Tool (AET)
     
     Developer: Brett Shelley
     Date: 08/07/2014
     ----------------
     Forms to add or edit an HPID table entry. 
-->

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">

	<!-- START: META DATA -->
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="language" content="en">
	<meta name="author" content="Harris Corporation">
	<meta name="subject" content="AET Monitor">
	<meta name="keywords" content="AET, Automated Eligibility Tool, PC@HAC, HAC, Health Administration Center">
	<meta name="datecreated" content="20130102">
	<meta name="datereviewed" content="20130416">
	<meta name="type" content="table maintenance" />
	<!-- END: META DATA -->

    <title>Automated Eligibility Tool (AET) Monitor</title>
	
	<style type="text/css" media="screen,print">
	    /* NOTE:  Changed all /va_files/ to va_files/ to reference sub-directories.  wtc 12.31.2012 */
	    
		/* START: MAIN VA STYLE SHEET */
		@import url(va_files/styles/va-styles.css);
		/* END: MAIN VA STYLE SHEET */
		@import url(va_files/styles/va-styles-intranet-wide.css);
		@import url(va_files/styles/va-user-styles.css);
		@import url(va_files/styles/top-nav-styles.css);
		@import url(va_files/styles/vaSearch.css);

		/* START: STYLE SHEET FOR SITE SPECIFIC NAVIGATION HYPERLINKS */
		@import url(va_files/styles/user-side-menu-styles.css);
		/* END: STYLE SHEET FOR SITE SPECIFIC NAVIGATION HYPERLINKS */
				
		/* Site-specific style sheet. */
		@import url(AET_Monitor_Style.css);

	</style>
	<style type="text/css" media="screen">
		#prBanner { display:none; }
	</style>
	<style type="text/css" media="print">
		.title-bar { width:950px; }
		#nav-footer { width:996px; }
		#content-va { width:996px; }
		#pgBanner { display:none; }
		#nav-main { display: none; }
		#nav-sidebar { display: none; }
		#main-content-table { width: 100%; }
		.no-print {
			display: none;
		}
	</style>

    <script type="text/javascript" language="javascript" src="Hpid.js"></script>
  
  <script>
  function ValidateEditForm2() 
  {
    var payerIdentifier = form2.payerIdentifier.value;
    var payerIdentifierType = form2.payerIdentifierType.value;
    var errmsg = "";

    if (payerIdentifier.length == 0) {
        errmsg = errmsg + "\Payer Identifier value is required.";
    }

    if (payerIdentifierType.length == 0) {
        errmsg = errmsg + "\Payer Identifier Type value is required.";
    }

    
    if (errmsg.length > 0) { alert(errmsg); return false; }

    return true;
}

function ValidateAddForm1() {
    var payerIdentifier = form1.payerIdentifier.value;
    var payerIdentifierType = form1.payerIdentifierType.value;
    var errmsg = "";

    if (payerIdentifier.length == 0) {
        errmsg = errmsg + "\Payer Identifier value is required.";
    }

    if (payerIdentifierType.length == 0) {
        errmsg = errmsg + "\Payer Identifier Type value is required.";
    }

    if (errmsg.length > 0) { alert(errmsg); return false; }

    return true;
}

    </script>


</head>

<body>
<%
    // Check if SQL Server is available.
    if (Check_SQL_Server_Access() == false) Response.Redirect("Resource_Unavailable.htm");
    
    // Check if user has the security key to access this page.
    if (Validate_User("upd_tables")==false) Response.Redirect("Access_Denied.htm");
%>
	<!-- SKIP NAV -->
	<div id="skiplink">
		<a href="#content-area">skip to page content</a>
	</div>
	
	<!-- TOP OF PAGE -->
	<a name="top"></a>

	<!-- noindex -->
	<!-- START: VA BANNER -->
    <!--#include virtual="va_files/includes/intra_va_banner_wide.htm" -->    
    <!-- END: VA BANNER -->

	<table border="0" cellpadding="0" cellspacing="0" width="996" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
	<tr>
		<!-- noindex -->
		<!-- START: LEFT NAVIGATION -->
		<td id="nav-sidebar">
			<div>
			<ul id="nav2">
				<!-- START: SITE SPECIFIC NAVIGATION HYPERLINKS -->
				<!--#include virtual="Side_Navigation_Table_Maintenance.htm" -->
                <!-- END: SITE SPECIFIC NAVIGATION HYPERLINKS -->
			</ul>
			</div>
		</td>
		<!-- END: LEFT NAVIGATION -->
		<!-- /noindex -->
		<td id="content-va">
			<a name="content-area"></a>

			<!-- START: SITE NAME BAR -->
			<p class="title-bar"><!-- START: SITE NAME -->AET Monitor<!-- END: SITE NAME --></p>
			<!-- END: SITE NAME BAR -->

			<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
			<tbody>
			<tr>
				<td id="content-main">
					<table width="100%" summary="This table is used for layout purposes">
					<tr>
						<td>
							<!-- START: PAGE TITLE AREA -->
							<p class="page-title"><!-- START: PAGE TITLE -->HPID Enter/Edit<!-- END: PAGE TITLE --></p>
							<!-- END: PAGE TITLE AREA -->
							
							<!-- START: PAGE CONTENT -->
<%
    /* Access to SQL Server recordsets. */

    var action = Request.QueryString["action"];

    switch ((string)action)
    {
        case "ADD":
            {
                /* form to enter new table entry */ 
%>
        <body onload="form1.payerIdentifier.focus();">

       <form id="form1" method="post" action="Hpid_File.aspx">
       <fieldset>
        <legend>Add Entry</legend>
        <label>Payer Identifier:</label><br />
        <input type="text" name="payerIdentifier" size="60" maxlength="60" /><br />
       <small class="help-text">Example: 12345678</small><br />
       <label>Payer Identifier Type:</label><br />
        <input type="text" name="payerIdentifierType" size="60" maxlength="10" value="HPID"/><br />
       <small class="help-text">Example: "HPID" or other Payer Identifier Type</small><br />
       <input id="submit" type="submit" value="Add Record" onclick="return ValidateAddForm1();" />
       </fieldset>
       <input type="hidden" name="action" value="ADD" />
       
       </form>
       <%
          }
            break;

        case "EDIT":
            {

                var record_count = Convert.ToInt16(Request.QueryString["record_count"]);
                                                
                using (System.Data.SqlClient.SqlConnection Server_Connection = new System.Data.SqlClient.SqlConnection())
                {
                    Server_Connection.ConnectionString = SQL_Server_Access();
                    using (System.Data.SqlClient.SqlCommand SQL_Command = new System.Data.SqlClient.SqlCommand())
                    {
                        Server_Connection.Open();
                        SQL_Command.Connection = Server_Connection;

                        var sql_select = "SELECT * FROM AET_HPID WHERE id="+record_count;

                        SQL_Command.CommandText = sql_select;
                        using (System.Data.SqlClient.SqlDataReader table_entry = SQL_Command.ExecuteReader())
                        {
                           table_entry.Read();

                              /* form to edit table entry */ 
       %>
        <body onload="form2.payerIdentifier.focus();">

        <form id="form2" method="post" action="Hpid_File.aspx">
        <fieldset>
        <legend>Edit Entry</legend>
        <label>Payer Identifier:</label><br />
        <input type="text" name="payerIdentifier" value="<%=table_entry["payer_identifier"]%>" size="60" maxlength="60" /><br />
       <small class="help-text">Example: 12345678</small><br />
       <label>Payer Identifier Type:</label><br />
        <input type="text" name="payerIdentifierType" value="<%=table_entry["payer_identifier_type"]%>" size="60" maxlength="256" /><br />
       <small class="help-text">Example: HPID's Description</small><br />
        <input type="submit" value="Update Record" onclick="return ValidateEditForm2();" />
       </fieldset>
       

        <input type="hidden" name="action" value="EDIT" />
        <input type="hidden" name="record_count" value="<%=record_count %>" />

        
       
        </form>
       <%
                                
                        }

                        Server_Connection.Close();
                    }
                }
            }
            break;

        default:

            break;

    }
%>							
							<!-- END: PAGE CONTENT -->

							<!-- noindex -->
						</td>
					</tr>
			        </table>
			  </td>
			  </tr>
			  </tbody>
			  </table>
	    </td>
	    </tr>
	    </tbody>
	    </table>

			<!-- noindex -->
			<!-- START: PAGE FOOTER -->
			<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
			<tbody>
			<tr>
				<td id="nav-footer">
					<a href="http://srver.domain/hac/" title="Health Administration Center (HAC) Intranet">Health Administration Center (HAC) Intranet</a> | 
					<!-- START: REQUIRED VA INTRANET FOOTER HYPERLINKS -->
					<!--#include virtual="va_files/includes/intra_footer_links_wide.htm" -->
					<!-- END: REQUIRED VA INTRANET FOOTER HYPERLINKS -->
				</td>
			</tr>
			<tr>
				<td id="nav-review">Reviewed/Updated Date: <!-- START: LAST MOD DATE -->August 7,2014<!-- END: LAST MOD DATE --></td>
			</tr>
			</tbody>
			</table>
			<!-- END: PAGE FOOTER -->
			<!-- /noindex -->

</body>
</html>
