﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- Program Name: New Standards and Operating Rules – Payer Side (POR)
     Contractor Name: Harris Corporation
     Contract Number: VA118-11-D-1009
     Project: POR – CORE Compliance – Automated Eligibility Tool (AET)
     
     Developer: Brett Shelley
     Date: 08/08/2014
     ----------------
     Displays entries in HPID table along with add, edit and delete buttons. 
-->

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">

	<!-- START: META DATA -->
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta name="language" content="en">
	<meta name="author" content="Harris Corporation">
	<meta name="subject" content="AET Monitor">
	<meta name="keywords" content="AET, Automated Eligibility Tool, PC@HAC, HAC, Health Administration Center">
	<meta name="datecreated" content="20130102">
	<meta name="datereviewed" content="20130416">
	<meta name="type" content="table maintenance" />
	<!-- END: META DATA -->

    <title>Automated Eligibility Tool (AET) Monitor</title>
	
	<style type="text/css" media="screen,print">
	    /* NOTE:  Changed all /va_files/ to va_files/ to reference sub-directories.  wtc 12.31.2012 */
	    
		/* START: MAIN VA STYLE SHEET */
		@import url(va_files/styles/va-styles.css);
		/* END: MAIN VA STYLE SHEET */
		@import url(va_files/styles/va-styles-intranet-wide.css);
		@import url(va_files/styles/va-user-styles.css);
		@import url(va_files/styles/top-nav-styles.css);
		@import url(va_files/styles/vaSearch.css);

		/* START: STYLE SHEET FOR SITE SPECIFIC NAVIGATION HYPERLINKS */
		@import url(va_files/styles/user-side-menu-styles.css);
		/* END: STYLE SHEET FOR SITE SPECIFIC NAVIGATION HYPERLINKS */
				
		/* Site-specific style sheet. */
		@import url(AET_Monitor_Style.css);

	</style>
	<style type="text/css" media="screen">
		#prBanner { display:none; }
	</style>
	<style type="text/css" media="print">
		.title-bar { width:950px; }
		#nav-footer { width:996px; }
		#content-va { width:996px; }
		#pgBanner { display:none; }
		#nav-main { display: none; }
		#nav-sidebar { display: none; }
		#main-content-table { width: 100%; }
		.no-print {
			display: none;
		}
	</style>    
</head>

<body>
<%
    // Check if SQL Server is available.
    if (Check_SQL_Server_Access() == false) Response.Redirect("Resource_Unavailable.htm");

    // Check if user has the security key to access this page.
    if (Validate_User("upd_tables")==false) Response.Redirect("Access_Denied.htm");
%>
	<!-- SKIP NAV -->
	<div id="skiplink">
		<a href="#content-area">skip to page content</a>
	</div>
	
	<!-- TOP OF PAGE -->
	<a name="top"></a>

	<!-- noindex -->
	<!-- START: VA BANNER -->
    <!--#include virtual="va_files/includes/intra_va_banner_wide.htm" -->    
    <!-- END: VA BANNER -->

	<table border="0" cellpadding="0" cellspacing="0" width="996" summary="table is used for layout purposes" id="main-content-table">
	<tbody>
	<tr>
		<!-- noindex -->
		<!-- START: LEFT NAVIGATION -->
		<td id="nav-sidebar">
			<div>
			<ul id="nav2">
				<!-- START: SITE SPECIFIC NAVIGATION HYPERLINKS -->
				<!--#include virtual="Side_Navigation_Table_Maintenance.htm" -->
                <!-- END: SITE SPECIFIC NAVIGATION HYPERLINKS -->
			</ul>
			</div>
		</td>
		<!-- END: LEFT NAVIGATION -->
		<!-- /noindex -->
		<td id="content-va">
			<a name="content-area"></a>

			<!-- START: SITE NAME BAR -->
			<p class="title-bar"><!-- START: SITE NAME -->AET Monitor<!-- END: SITE NAME --></p>
			<!-- END: SITE NAME BAR -->

			<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
			<tbody>
			<tr>
				<td id="content-main">
					<table width="100%" summary="This table is used for layout purposes">
					<tr>
						<td>
							<!-- START: PAGE TITLE AREA -->
							<p class="page-title"><!-- START: PAGE TITLE -->HPID Enter/Edit<!-- END: PAGE TITLE --></p>
							<!-- END: PAGE TITLE AREA -->
							
							<!-- START: PAGE CONTENT -->
<%
    /* Access to SQL Server recordsets. */
    using (System.Data.SqlClient.SqlConnection Server_Connection = new System.Data.SqlClient.SqlConnection())
  {
      Server_Connection.ConnectionString = SQL_Server_Access();
      using (System.Data.SqlClient.SqlCommand SQL_Command = new System.Data.SqlClient.SqlCommand())
      {
          Server_Connection.Open();
          SQL_Command.Connection = Server_Connection;
          
        var sql_select="SELECT * FROM AET_HPID ORDER BY payer_identifier,payer_identifier_type,id";

        SQL_Command.CommandText = sql_select;
        using (System.Data.SqlClient.SqlDataReader table_entries = SQL_Command.ExecuteReader())
          {
              %>
              <table>
                <tr><th>Action</th><th>Payer Identifier</th><th>Payer Identifier Type</th></tr>
              <%
              if (table_entries.HasRows)
              {
                  while (table_entries.Read())
                  {
                      %>
                      <tr>
                        <td>
                            <a href="Hpid_Add-Edit.aspx?record_count=<%=table_entries["id"]%>&action=EDIT"><img src="images/EDIT-Button.png" width="25px" alt="EDIT" /></a>
                            <a href="Hpid_File.aspx?record_count=<%=table_entries["id"]%>&action=DELETE" onclick="return confirm('Delete record.  Are you sure?');"><img src="images/DELETE-Button.png" width="25px" alt="DELETE" /></a>
                        </td>
                        <td><%=table_entries["payer_identifier"]%></td>
                        <td><%=table_entries["payer_identifier_type"]%></td>
                      </tr>
                      <%
                  }
              }
          }
        Server_Connection.Close();
        %>
            <tr><td><a href="Hpid_Add-Edit.aspx?action=ADD"><img src="images/ADD-Button.png" width="25px" alt="ADD" /></a></td></tr>
          </table>
        <%

     }
  }
%>
							<!-- END: PAGE CONTENT -->

							<!-- noindex -->
						</td>
					</tr>
			        </table>
			  </td>
			  </tr>
			  </tbody>
			  </table>
	    </td>
	    </tr>
	    </tbody>
	    </table>

			<!-- noindex -->
			<!-- START: PAGE FOOTER -->
			<table border="0" cellpadding="0" cellspacing="0" width="100%" summary="table is used for layout purposes">
			<tbody>
			<tr>
				<td id="nav-footer">
					<a href="http://srver.domain/hac/" title="Health Administration Center (HAC) Intranet">Health Administration Center (HAC) Intranet</a> | 
					<!-- START: REQUIRED VA INTRANET FOOTER HYPERLINKS -->
					<!--#include virtual="va_files/includes/intra_footer_links_wide.htm" -->
					<!-- END: REQUIRED VA INTRANET FOOTER HYPERLINKS -->
				</td>
			</tr>
			<tr>
				<td id="nav-review">Reviewed/Updated Date: <!-- START: LAST MOD DATE -->August 7,2014<!-- END: LAST MOD DATE --></td>
			</tr>
			</tbody>
			</table>
			<!-- END: PAGE FOOTER -->
			<!-- /noindex -->

</body>
</html>
